package com.clx.performance.service.vehiclewarn;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.vehiclewarn.*;
import com.clx.performance.vo.pc.vehiclewarn.VehicleTraceVO;
import com.clx.performance.vo.pc.vehiclewarn.VehicleWarnInfoVO;

public interface VehicleWarnInfoService {

    void updateSuspend(VehicleWarnInfoSuspendUpdateParam param);

    void updateResolve(VehicleWarnInfoResolveUpdateParam param);

    VehicleTraceVO getTrace(Integer id);

    VehicleWarnInfoVO getInfo(Integer id);
    IPage<VehicleWarnInfoVO> pageInfo(PageVehicleWarnInfoParam param);

}
